use openidconnect::{reqwest::Error, HttpRequest, HttpResponse};

pub async fn async_http_client(
    request: HttpRequest,
) -> Result<HttpResponse, Error<reqwest::Error>> {
    let method = request.method.clone();
    let url = request.url.clone();
    log::debug!("making client request: {method} {url}");
    let response = match openidconnect::reqwest::async_http_client(request).await {
        Ok(v) => v,
        Err(e) => return Err(e),
    };
    log::debug!(
        "client request finished with {}: {method} {url}",
        response.status_code
    );
    Ok(response)
}
